<script>
export default {
  data() {
    return {
      token: localStorage.getItem("user-token"),

      items: [
        {
          title: "Show organization members",
          id: "#show_organization_members",
        },
        {
          title: "Show participants of organizations events",
          id: "#show_participants_of_organizations_events",
        },
        {
          title: "Display information about current organization.",
          id: "#display_information_about_current_organization",
        },
        {
          title: "Update information about current organization.",
          id: "#update_information_about_current_organization",
        },
        {
          title: "Shows events of current organization with pagination",
          id: "#shows_events_of_current_organization_with_pagination",
        },
        {
          title: "Show participants of selected event",
          id: "#show_participants_of_selected_event",
        },
        {
          title: "Store a newly created event.",
          id: "#store_a_newly_created_event",
        },
        {
          title: "Activate (Publish) stored event",
          id: "#activate_stored_event",
        },
        {
          title: "Update event.",
          id: "#update_event",
        },
        {
          title: "Delete event.",
          id: "#delete_event",
        },
      ],
    };
  },
};
</script>

<template>
  <div class="integration">
    <div class="integration__nav">
      <v-card height="400" width="256" class="mx-auto">
        <v-navigation-drawer permanent>
          <v-list dense nav>
            <v-list-item v-for="item in items" :key="item.title">
              <v-list-item-content>
                <v-list-item-title>
                  <a :href="item.id">{{ item.title }}</a>
                </v-list-item-title>
              </v-list-item-content>
            </v-list-item>
          </v-list>
        </v-navigation-drawer>
      </v-card>
    </div>

    <div class="integration__block block-wrapper integration__key">
      <p><span>Ключ доступа: </span>{{ token }}</p>
    </div>

    <div id="show_organization_members" class="integration__group-blocks">
      <div class="integration__block integration__request request">
        <h5>Show organization members</h5>

        <div class="request__try">
          <p>Request</p>
          <v-btn class="mr-2" color="info" small disabled>
            <v-icon left> mdi-lightning-bolt </v-icon>
            Try it out
          </v-btn>
        </div>

        <div class="request__type">
          <v-chip color="info" small>get</v-chip>

          <p>api/panel/users/members</p>
        </div>

        <div class="request__params">
          <v-chip color="gray" small>Body Parameters</v-chip>
        </div>

        <!-- <p>
          name string optional <br />
          Username. <br />
          description string optional <br />
          User story (organization self-description). <br />
          contacts string <br />
          optional Contact information.
        </p> -->
      </div>

      <v-divider vertical></v-divider>

      <div class="integration__block integration__request">
        <h5>Example request:</h5>
        <p>
          <code>
            curl --request GET \ <br />
            --get
            "https://mch-backend-staging.server.bonch.dev/api/panel/users/members"
            \ <br />
            --header "Content-Type: application/json" \ <br />
            --header "Accept: application/json"
          </code>
        </p>

        <h5>Example response :</h5>
        <p>
          <code>
            { "data": [ { "id": 246, "name": "Edwardo Labadie", "avatar": {
            "id": 758, "url": { "full_size":
            "https://s3.selcdn.ru/mch_staging/758/media.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=157816_MCH_STAGING%2F20220612%2Fru-1%2Fs3%2Faws4_request&X-Amz-Date=20220612T113124Z&X-Amz-SignedHeaders=host&X-Amz-Expires=5400&X-Amz-Signature=3341f69f7557ff1a180bd79f3d24224bf93547fe2fc8241ebc24727bb71874e8"
            } }, "description": "Quia molestiae sed est. Iure accusamus vel non.
            Minus rerum voluptatem amet vitae qui ipsum nisi. Inventore quis
            iste eius dolores incidunt. Repudiandae suscipit sed dolore.",
            "age": 18, "score": 597542694, "level": 29877134,
            "need_points_for_new_level": 6, "city": { "id": 532, "name": "Cara
            Kertzmann" } }, ] }
          </code>
        </p>
      </div>
    </div>

    <div
      id="show_participants_of_organizations_events"
      class="integration__group-blocks"
    >
      <div class="integration__block integration__request request">
        <h5>Show participants of organizations events</h5>

        <div class="request__try">
          <p>Request</p>
          <v-btn class="mr-2" color="info" small disabled>
            <v-icon left> mdi-lightning-bolt </v-icon>
            Try it out
          </v-btn>
        </div>

        <div class="request__type">
          <v-chip color="info" small>get</v-chip>

          <p>api/panel/users/participants</p>
        </div>

        <div class="request__params">
          <v-chip color="gray" small>Body Parameters</v-chip>
        </div>

        <!-- <p>
          name string optional <br />
          Username. <br />
          description string optional <br />
          User story (organization self-description). <br />
          contacts string <br />
          optional Contact information.
        </p> -->
      </div>

      <v-divider vertical></v-divider>

      <div class="integration__block integration__request">
        <h5>Example request:</h5>
        <p>
          <code>
            curl --request GET \ <br />
            --get
            "https://mch-backend-staging.server.bonch.dev/api/panel/users/participants"
            \ <br />
            --header "Content-Type: application/json" \ <br />
            --header "Accept: application/json"
          </code>
        </p>

        <h5>Example response :</h5>
        <p>
          <code>
            { "data": [ { "id": 250, "name": "Prof. Benedict Collier", "avatar":
            { "id": 762, "url": { "full_size":
            "https://s3.selcdn.ru/mch_staging/762/media.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=157816_MCH_STAGING%2F20220612%2Fru-1%2Fs3%2Faws4_request&X-Amz-Date=20220612T113125Z&X-Amz-SignedHeaders=host&X-Amz-Expires=5400&X-Amz-Signature=f65fe66b49f31161fac8694cca1b71591330a2be360a6acaf6314559885b5d38"
            } }, "description": "Sed voluptate qui libero sit non. Ut reiciendis
            explicabo voluptas aut dolorem autem. Sed qui et odio
            necessitatibus. Nemo deserunt aut accusantium sint.", "age": 29,
            "score": 96, "level": 4, "need_points_for_new_level": 4, "city": {
            "id": 536, "name": "Deven Koepp" } }, ] }
          </code>
        </p>
      </div>
    </div>

    <div
      id="display_information_about_current_organization"
      class="integration__group-blocks"
    >
      <div class="integration__block integration__request request">
        <h5>Display information about current organization.</h5>

        <div class="request__try">
          <p>Request</p>
          <v-btn class="mr-2" color="info" small disabled>
            <v-icon left> mdi-lightning-bolt </v-icon>
            Try it out
          </v-btn>
        </div>

        <div class="request__type">
          <v-chip color="info" small>get</v-chip>

          <p>api/panel/me</p>
        </div>

        <div class="request__params">
          <v-chip color="gray" small>Body Parameters</v-chip>
        </div>

        <!-- <p>
          name string optional <br />
          Username. <br />
          description string optional <br />
          User story (organization self-description). <br />
          contacts string <br />
          optional Contact information.
        </p> -->
      </div>

      <v-divider vertical></v-divider>

      <div class="integration__block integration__request">
        <h5>Example request:</h5>
        <p>
          <code>
            curl --request GET \ <br />
            --get "https://mch-backend-staging.server.bonch.dev/api/panel/me" \
            <br />
            --header "Content-Type: application/json" \ <br />
            --header "Accept: application/json"
          </code>
        </p>

        <h5>Example response :</h5>
        <p>
          <code>
            { "data": { "id": 428, "name": "Mr.", "description": "Cumque
            doloremque id dolores quis deleniti placeat magni. Nihil unde quis
            est recusandae. Facilis incidunt voluptas dolor nihil consequatur
            ducimus harum eaque.", "contacts": "647 Kihn Islands\nEast Trisha,
            KS 57730", "avatar": { "id": 743, "url": { "full_size":
            "https://s3.selcdn.ru/mch_staging/743/media.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=157816_MCH_STAGING%2F20220612%2Fru-1%2Fs3%2Faws4_request&X-Amz-Date=20220612T113123Z&X-Amz-SignedHeaders=host&X-Amz-Expires=5400&X-Amz-Signature=6bdef79975b1d0d86d992218530da60ec5e292a647c0351a3d8219e80a3e7472"
            } } } }
          </code>
        </p>
      </div>
    </div>

    <div
      id="update_information_about_current_organization"
      class="integration__group-blocks"
    >
      <div class="integration__block integration__request request">
        <h5>Update information about current organization.</h5>

        <div class="request__try">
          <p>Request</p>
          <v-btn class="mr-2" color="info" small disabled>
            <v-icon left> mdi-lightning-bolt </v-icon>
            Try it out
          </v-btn>
        </div>

        <div class="request__type">
          <v-chip color="info" small>patch</v-chip>

          <p>api/panel/me</p>
        </div>

        <div class="request__params">
          <v-chip color="gray" small>Body Parameters</v-chip>
        </div>

        <p class="request__body">
          <span>name</span> string optional <br />
          Username. <br />

          <span>description</span> string optional <br />
          User story (organization self-description). <br />
          <span>contacts</span> string optional <br />
          Contact information.
        </p>
      </div>

      <v-divider vertical></v-divider>

      <div class="integration__block integration__request">
        <h5>Example request:</h5>
        <p>
          <code>
            curl --request PATCH \ <br />
            "https://mch-backend-staging.server.bonch.dev/api/panel/me" \ <br />
            --header "Content-Type: application/json" \ <br />
            --header "Accept: application/json" \ <br />
            --data "{ <br />
            \"name\": \"Pallam\", <br />
            \"description\": \"Beautiful text about myself\", <br />
            \"contacts\": \"Phone: +79110297197; Email: kargin.go@bonch.dev\"
            <br />
            }"
          </code>
        </p>

        <h5>Example response :</h5>
        <p>
          <code>
            { "data": { "id": 429, "name": "Dr.", "description": "Aut non vero
            dicta sed. Laborum ad ut eligendi vitae iure aut. Cumque eos velit
            consequatur dolorem temporibus libero.", "contacts": "89465 Dawn
            Court\nNew Jedidiah, MI 34696-9409" } }
          </code>
        </p>
      </div>
    </div>

    <div
      id="shows_events_of_current_organization_with_pagination"
      class="integration__group-blocks"
    >
      <div class="integration__block integration__request request">
        <h5>Shows events of current organization with pagination</h5>

        <div class="request__try">
          <p>Request</p>
          <v-btn class="mr-2" color="info" small disabled>
            <v-icon left> mdi-lightning-bolt </v-icon>
            Try it out
          </v-btn>
        </div>

        <div class="request__type">
          <v-chip color="info" small>get</v-chip>

          <p>api/panel/events</p>
        </div>

        <div class="request__params">
          <v-chip color="gray" small>Body Parameters</v-chip>
        </div>

        <!-- <p class="request__body">
          <span>name</span> string optional <br />
          Username. <br />

          <span>description</span> string optional <br />
          User story (organization self-description). <br />
          <span>contacts</span> string optional <br />
          Contact information.
        </p> -->
      </div>

      <v-divider vertical></v-divider>

      <div class="integration__block integration__request">
        <h5>Example request:</h5>
        <p>
          <code>
            curl --request GET \ <br />
            --get
            "https://mch-backend-staging.server.bonch.dev/api/panel/events" \
            <br />
            --header "Content-Type: application/json" \ <br />
            --header "Accept: application/json" <br />
          </code>
        </p>

        <h5>Example response :</h5>
        <p>
          <code>
            { "data": [ { "id": 224, "title": "Queen was silent.",
            "description": "Perspiciatis rerum voluptatum expedita fugiat ex.
            Eos ut ducimus consectetur qui. Beatae sunt sed corporis praesentium
            dolor inventore vel. Quaerat sit eos et ut.", "place": "172 Rowe
            Port\nEast Micheal, VT 14664", "start_at":
            "2022-06-16T08:37:23.315342Z", "min_age": 2, "is_offline": false,
            "tags": [ { "id": 201, "name": "tag C", "group_name": "group I" } ],
            "avatar": null, "city": { "id": 523, "name": "Clyde Hodkiewicz" },
            "organization": { "id": 431, "name": "Dr.", "description": "Nisi
            dicta saepe ab quidem ea enim. Similique autem provident quibusdam
            est. Sapiente voluptates at quia sapiente quidem itaque iusto.
            Distinctio facilis quia quidem.", "contacts": "6427 Kennith Ports
            Suite 836\nRaulport, CO 42128-9778", "avatar": { "id": 744, "url": {
            "full_size":
            "https://s3.selcdn.ru/mch_staging/744/media.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=157816_MCH_STAGING%2F20220612%2Fru-1%2Fs3%2Faws4_request&X-Amz-Date=20220612T113123Z&X-Amz-SignedHeaders=host&X-Amz-Expires=5400&X-Amz-Signature=6b03c51fc5d9522cb5d4e93bfdf59a0398c4b2d44a93992a10539e1a66a2867c"
            } } }, "participants_count": 0 }, ] }
          </code>
        </p>
      </div>
    </div>

    <div
      id="show_participants_of_selected_event"
      class="integration__group-blocks"
    >
      <div class="integration__block integration__request request">
        <h5>Show participants of selected event</h5>

        <div class="request__try">
          <p>Request</p>
          <v-btn class="mr-2" color="info" small disabled>
            <v-icon left> mdi-lightning-bolt </v-icon>
            Try it out
          </v-btn>
        </div>

        <div class="request__type">
          <v-chip color="info" small>get</v-chip>

          <p>api/panel/events/{event}/participants</p>
        </div>

        <div class="request__params">
          <v-chip color="gray" small>URL Parameters</v-chip>
        </div>

        <p class="request__body"><span>event</span> integer</p>

        <div class="request__params">
          <v-chip color="gray" small>Body Parameters</v-chip>
        </div>

        <!-- <p class="request__body">
          <span>name</span> string optional <br />
          Username. <br />

          <span>description</span> string optional <br />
          User story (organization self-description). <br />
          <span>contacts</span> string optional <br />
          Contact information.
        </p> -->
      </div>

      <v-divider vertical></v-divider>

      <div class="integration__block integration__request">
        <h5>Example request:</h5>
        <p>
          <code>
            curl --request GET \ <br />
            --get
            "https://mch-backend-staging.server.bonch.dev/api/panel/events/{event}/participants"
            \
            <br />
            --header "Content-Type: application/json" \ <br />
            --header "Accept: application/json" <br />
          </code>
        </p>

        <h5>Example response :</h5>
        <p>
          <code>
            { "data": [ { "id": 244, "name": "Esta Franecki", "avatar": { "id":
            748, "url": { "full_size":
            "https://s3.selcdn.ru/mch_staging/748/media.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=157816_MCH_STAGING%2F20220612%2Fru-1%2Fs3%2Faws4_request&X-Amz-Date=20220612T113123Z&X-Amz-SignedHeaders=host&X-Amz-Expires=5400&X-Amz-Signature=2e8f95c92d7121a21426d504879958e00f61780b5007390214cf9b2b3d048372"
            } }, "description": "Inventore esse eaque aut et. Voluptatem
            voluptatem dolores odit omnis consequatur. Ratione perspiciatis
            perspiciatis sed.", "age": 18, "score": 390248, "level": 19512,
            "need_points_for_new_level": 12, "city": { "id": 526, "name":
            "Lamont Okuneva" } }, ] }
          </code>
        </p>
      </div>
    </div>

    <div id="store_a_newly_created_event" class="integration__group-blocks">
      <div class="integration__block integration__request request">
        <h5>Store a newly created event.</h5>

        <div class="request__try">
          <p>Request</p>
          <v-btn class="mr-2" color="info" small disabled>
            <v-icon left> mdi-lightning-bolt </v-icon>
            Try it out
          </v-btn>
        </div>

        <div class="request__type">
          <v-chip color="info" small>post</v-chip>

          <p>api/panel/events</p>
        </div>

        <div class="request__params">
          <v-chip color="gray" small>Body Parameters</v-chip>
        </div>

        <p class="request__body">
          <span>title</span> string <br />
          Event title. <br />

          <span>description</span> string optional <br />
          Event description.<br />

          <span>place</span> string optional <br />
          Events place.<br />

          <span>start_at</span> date <br />
          DateTime, when events starts.<br />

          <span>min_age</span> integer <br />
          Min age of participants of events.<br />

          <span>is_offline</span> boolean optional <br />
          Is events offline or online.<br />

          <span>city_id</span> integer <br />
          City of event.<br />

          <span>tags</span> integer[] optional <br />
          Id of tags, used for this event.<br />

          <span>roles</span> object[] optional <br />
        </p>
      </div>

      <v-divider vertical></v-divider>

      <div class="integration__block integration__request">
        <h5>Example request:</h5>
        <p>
          <code>
            curl --request POST \ <br />
            "https://mch-backend-staging.server.bonch.dev/api/panel/events" \
            <br />
            --header "Content-Type: application/json" \ <br />
            --header "Accept: application/json" \ <br />
            --data "{ <br />
            \"title\": \"my best event.\", <br />
            \"description\": \"best events for best peoples in best world.\",
            <br />
            \"place\": \"MoscowCityHack\", <br />
            \"start_at\": \"2022-12-03 15:42:05\", <br />
            \"min_age\": 18, <br />
            \"is_offline\": true, <br />
            \"city_id\": 1, <br />
            \"tags\": [ <br />
            1, <br />
            2, <br />
            3 <br />
            ], <br />
            \"roles\": [ <br />
            { <br />
            \"name\": \"debitis\", <br />
            \"description\": \"est\" <br />
            } <br />
            ] <br />
            }" <br />
          </code>
        </p>

        <h5>Example response :</h5>
        <p>
          <code>
            { "data": { "id": 227, "title": "Caterpillar The.", "description":
            "Ducimus earum eum eveniet quia. Dignissimos ut ullam ut omnis. Est
            et possimus iure nulla fuga quisquam ipsa voluptatem. Sunt laborum
            natus similique voluptatibus.", "place": "682 Janice Fork\nLoweview,
            TN 05308", "start_at": "2022-06-13T11:01:23.671195Z", "min_age": 30,
            "is_offline": true, "tags": [ { "id": 204, "name": "tag J",
            "group_name": "group J" } ], "avatar": { "id": 751, "url": {
            "full_size":
            "https://s3.selcdn.ru/mch_staging/751/media.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=157816_MCH_STAGING%2F20220612%2Fru-1%2Fs3%2Faws4_request&X-Amz-Date=20220612T113123Z&X-Amz-SignedHeaders=host&X-Amz-Expires=5400&X-Amz-Signature=dd8ba055d22399b7904af47782f0b4dc53fd9cfbd72a8769bbe09ac2b7e810ee"
            } }, "city": { "id": 528, "name": "Prof. Dashawn Okuneva DDS" },
            "organization": { "id": 434, "name": "Miss", "description":
            "Consequatur tenetur debitis quia molestias fuga. Maxime eos
            inventore quis ad sit esse. Consequatur ducimus doloribus ea quia
            harum qui et velit.", "contacts": "10846 Stoltenberg Fields\nPort
            Rigoberto, RI 31677-3580", "avatar": { "id": 750, "url": {
            "full_size":
            "https://s3.selcdn.ru/mch_staging/750/media.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=157816_MCH_STAGING%2F20220612%2Fru-1%2Fs3%2Faws4_request&X-Amz-Date=20220612T113123Z&X-Amz-SignedHeaders=host&X-Amz-Expires=5400&X-Amz-Signature=8b62c85545f49faeeb97bb56d97f638f4d0858a4a8be0ae17e5f8c518f61ff69"
            } } }, "roles": [ { "id": 79, "name": "Prof. Rhett Gerlach",
            "description": "Eum nihil sunt vel soluta harum quo. Illum officiis
            velit vitae exercitationem veritatis sequi et. Quisquam deleniti et
            sequi fugit. Omnis dolorem et quas maxime excepturi harum." } ],
            "participants_count": 0 }, "title": "Event created", "message":
            "Event successful created" }
          </code>
        </p>
      </div>
    </div>

    <div id="activate_stored_event" class="integration__group-blocks">
      <div class="integration__block integration__request request">
        <h5>Activate (Publish) stored event</h5>

        <div class="request__try">
          <p>Request</p>
          <v-btn class="mr-2" color="info" small disabled>
            <v-icon left> mdi-lightning-bolt </v-icon>
            Try it out
          </v-btn>
        </div>

        <div class="request__type">
          <v-chip color="info" small>post</v-chip>

          <p>api/panel/events/{event}/activate</p>
        </div>

        <div class="request__params">
          <v-chip color="gray" small>URL Parameters</v-chip>
        </div>

        <p class="request__body"><span>event</span> integer</p>

        <div class="request__params">
          <v-chip color="gray" small>Body Parameters</v-chip>
        </div>

        <!-- <p class="request__body"></p> -->
      </div>

      <v-divider vertical></v-divider>

      <div class="integration__block integration__request">
        <h5>Example request:</h5>
        <p>
          <code>
            curl --request POST \ <br />
            "https://mch-backend-staging.server.bonch.dev/api/panel/events/2/activate"
            \ <br />
            --header "Content-Type: application/json" \ <br />
            --header "Accept: application/json" <br />
          </code>
        </p>

        <h5>Example response :</h5>
        <p>
          <code>
            { "data": { "id": 228, "title": "Some of the pack.", "description":
            "Possimus accusamus dolores voluptate hic adipisci. Est doloribus
            pariatur perspiciatis vitae est ea. Iure quae atque sed iure
            dolorem.", "place": "25864 Bernier Lock Suite 218\nWest Janymouth,
            CA 17714", "start_at": "2022-06-18T18:45:24.276415Z", "min_age": 1,
            "is_offline": true, "tags": [ { "id": 205, "name": "tag A",
            "group_name": "group A" } ], "avatar": { "id": 753, "url": {
            "full_size":
            "https://s3.selcdn.ru/mch_staging/753/media.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=157816_MCH_STAGING%2F20220612%2Fru-1%2Fs3%2Faws4_request&X-Amz-Date=20220612T113124Z&X-Amz-SignedHeaders=host&X-Amz-Expires=5400&X-Amz-Signature=73d97d273cec70025a2514a6e308a30f65c6ad78d732a4b492893c4e6c591c73"
            } }, "city": { "id": 529, "name": "Rozella Bechtelar" },
            "organization": { "id": 435, "name": "Prof.", "description": "Quis
            dolores eum quibusdam velit aut soluta. Dignissimos vel voluptatem
            vero qui eligendi autem corrupti aspernatur.", "contacts": "56917
            Bradtke Divide\nLehnerborough, AR 87446", "avatar": { "id": 752,
            "url": { "full_size":
            "https://s3.selcdn.ru/mch_staging/752/media.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=157816_MCH_STAGING%2F20220612%2Fru-1%2Fs3%2Faws4_request&X-Amz-Date=20220612T113124Z&X-Amz-SignedHeaders=host&X-Amz-Expires=5400&X-Amz-Signature=5c75d3fe1ff3c89deddb06abe01eaa832ab9ccaf4921734f60d39ee5111bc9c2"
            } } }, "participants_count": 0 } }
          </code>
        </p>
      </div>
    </div>

    <div id="update_event" class="integration__group-blocks">
      <div class="integration__block integration__request request">
        <h5>Update event.</h5>

        <div class="request__try">
          <p>Request</p>
          <v-btn class="mr-2" color="info" small disabled>
            <v-icon left> mdi-lightning-bolt </v-icon>
            Try it out
          </v-btn>
        </div>

        <div class="request__type">
          <v-chip color="info" small>patch</v-chip>

          <p>api/panel/events/{event}</p>
        </div>

        <div class="request__params">
          <v-chip color="gray" small>URL Parameters</v-chip>
        </div>

        <p class="request__body"><span>event</span> integer</p>

        <div class="request__params">
          <v-chip color="gray" small>Body Parameters</v-chip>
        </div>

        <p class="request__body">
          <span>title</span> string <br />
          Event title. <br />

          <span>description</span> string optional <br />
          Event description.<br />

          <span>place</span> string optional <br />
          Events place.<br />

          <span>start_at</span> date <br />
          DateTime, when events starts.<br />

          <span>min_age</span> integer <br />
          Min age of participants of events.<br />

          <span>is_offline</span> boolean optional <br />
          Is events offline or online.<br />

          <span>city_id</span> integer <br />
          City of event.<br />

          <span>tags</span> integer[] optional <br />
          Id of tags, used for this event.<br />

          <span>roles</span> object[] optional <br />
        </p>
      </div>

      <v-divider vertical></v-divider>

      <div class="integration__block integration__request">
        <h5>Example request:</h5>
        <p>
          <code>
            curl --request PATCH \ <br />
            "https://mch-backend-staging.server.bonch.dev/api/panel/events/2" \
            <br />
            --header "Content-Type: application/json" \ <br />
            --header "Accept: application/json" \ <br />
            --data "{ <br />
            \"title\": \"my best event.\", <br />
            \"description\": \"best events for best peoples in best world.\",
            <br />
            \"place\": \"MoscowCityHack\", <br />
            \"start_at\": \"2022-12-03 15:42:05\", <br />
            \"min_age\": 18, <br />
            \"is_offline\": true, <br />
            \"city_id\": 1, <br />
            \"tags\": [ <br />
            1, <br />
            2, <br />
            3 <br />
            ], <br />
            \"roles\": [ <br />
            { <br />
            \"name\": \"name\", <br />
            \"description\": \"description\" <br />
            } <br />
            ] <br />
            }" <br />
          </code>
        </p>

        <h5>Example response :</h5>
        <p>
          <code>
            { "data": { "id": 230, "title": "Gryphon at the.", "description":
            "Excepturi quis sit laboriosam et et sit ipsum magnam. Suscipit
            neque quis eos non reprehenderit. Et nam sequi voluptate.", "place":
            "263 Eichmann Landing\nZulamouth, MT 98673-1887", "start_at":
            "2022-06-13T05:06:24.499885Z", "min_age": 23, "is_offline": true,
            "tags": [ { "id": 207, "name": "tag B", "group_name": "group F" } ],
            "avatar": { "id": 757, "url": { "full_size":
            "https://s3.selcdn.ru/mch_staging/757/media.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=157816_MCH_STAGING%2F20220612%2Fru-1%2Fs3%2Faws4_request&X-Amz-Date=20220612T113124Z&X-Amz-SignedHeaders=host&X-Amz-Expires=5400&X-Amz-Signature=6baea5125763d30bf6908902a85485ca019f8f511dbdbef05c329d5778d1d2e7"
            } }, "city": { "id": 531, "name": "Prof. Lavonne Auer MD" },
            "organization": { "id": 437, "name": "Dr.", "description": "Enim
            reiciendis aut libero maiores. Accusamus sed sit optio odio
            laboriosam nulla aliquid ut. Deleniti sunt eum placeat sunt.
            Corrupti quo et nihil aut quaerat voluptatem.", "contacts": "5693
            Pagac Branch\nGleasonmouth, ME 64265", "avatar": { "id": 756, "url":
            { "full_size":
            "https://s3.selcdn.ru/mch_staging/756/media.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=157816_MCH_STAGING%2F20220612%2Fru-1%2Fs3%2Faws4_request&X-Amz-Date=20220612T113124Z&X-Amz-SignedHeaders=host&X-Amz-Expires=5400&X-Amz-Signature=90cfbc358db68d9654a1fa9b2f376211c063b8e817d0297fd479cc91f229b50d"
            } } }, "roles": [ { "id": 80, "name": "Krystina Stracke",
            "description": "Consequuntur ad ab aut aliquid. Enim aliquam vitae
            veniam et velit cum et. Earum molestias aut facere aliquam molestias
            magni. Voluptate error saepe magni qui mollitia et illum." } ],
            "participants_count": 0 }, "title": "Event created", "message":
            "Event successful created" }
          </code>
        </p>
      </div>
    </div>

    <div id="delete_event" class="integration__group-blocks">
      <div class="integration__block integration__request request">
        <h5>Delete event.</h5>

        <div class="request__try">
          <p>Request</p>
          <v-btn class="mr-2" color="info" small disabled>
            <v-icon left> mdi-lightning-bolt </v-icon>
            Try it out
          </v-btn>
        </div>

        <div class="request__type">
          <v-chip color="info" small>delete</v-chip>

          <p>api/panel/events/{event}</p>
        </div>

        <div class="request__params">
          <v-chip color="gray" small>URL Parameters</v-chip>
        </div>

        <p class="request__body"><span>event</span> integer</p>

        <div class="request__params">
          <v-chip color="gray" small>Body Parameters</v-chip>
        </div>

        <!-- <p class="request__body"></p> -->
      </div>

      <v-divider vertical></v-divider>

      <div class="integration__block integration__request">
        <h5>Example request:</h5>
        <p>
          <code>
            curl --request DELETE \ <br />
            "https://mch-backend-staging.server.bonch.dev/api/panel/events/2" \
            <br />
            --header "Content-Type: application/json" \ <br />
            --header "Accept: application/json" <br />
          </code>
        </p>

        <h5>Example response :</h5>
        <p>
          <code>
            { "title": "Unauthenticated.", "message": "You must be
            authenticated, to perform this request.", "error":
            "Unauthenticated." }
          </code>
        </p>
      </div>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.integration {
  height: 100%;
  overflow: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 100px 32px 60px;
  position: relative;

  &__nav {
    position: fixed;
    left: 0;
    top: 252px;
    border-radius: 10px;
    overflow: hidden;
  }

  &__block {
    max-width: 570px;
    width: 100%;
    height: fit-content;
    padding: 16px;

    &:not(:last-child) {
      margin-bottom: 32px;
    }
  }

  &__key {
    span {
      font-weight: 500;
    }
  }

  &__group-blocks {
    display: flex;
    width: 100%;
    justify-content: center;
    gap: 32px;
    background-color: #fff;
    max-width: 1040px;
    border-radius: 10px;
    padding: 8px;

    .block-wrapper {
      width: 100%;
    }

    &:not(:last-child) {
      margin-bottom: 32px;
    }
  }

  &__request {
    height: 100%;

    h5 {
      font-size: 16px;
      margin-bottom: 16px;
      font-weight: 600;
    }

    code {
      font-size: 14px;
      word-break: break-word;
    }

    p {
      margin-bottom: 24px;
    }
  }

  .request {
    &__try {
      display: flex;
      align-items: center;
      margin-bottom: 16px;

      p {
        margin-bottom: 0;
        margin-right: 16px;
      }
    }

    &__type {
      display: flex;
      align-items: center;
      margin-bottom: 16px;

      p {
        margin-bottom: 0;
        margin-left: 16px;
      }
    }

    &__params {
      margin-bottom: 16px;
    }

    &__body {
      span {
        font-weight: 600;
      }
    }
  }
}
</style>
